package gov.va.vss.persistence.dao;

import java.time.LocalDate;
import java.util.List;
import java.util.SortedSet;

import gov.va.vss.model.donation.DonationLogFile;

public interface DonationLogFileDAO extends CustomizableSortedDAO<DonationLogFile> {

	DonationLogFile getByDate(LocalDate date);

	SortedSet<LocalDate> getExistingDatesOnOrAfter(LocalDate onOrAfterDate);
	
}
